$(document).ready(function() {
    //$(".ldtp-cr ul.ld-service li").click(function() {
    //    $(this).addClass("cr-click").siblings().removeClass("cr-click");
    //    var index = $(this).index();
    //    $(".gsxx").find(".sqzx").eq(index).addClass("Shows").siblings().removeClass("Shows");

    //    if (index == 2) {
    //        getLX($(".tslx"), "TSLX");
    //        getBM($("#zrbmtree"));
    //        getBM($("#clbmtree"));
    //    }
    //});
    getLX($(".tslx"), "TSLX");
    getBM($("#zrbmtree"));
    getBM($("#clbmtree"));
    //保存客户
    $("#khbc").click(function () {
        var khid = $("#khid").val();
        var khmc = $("#kh_name").val();
        var khbh = $("#kh_code").val();
        var tel1 = $("#kh_tel1").val();
        var tel2 = $("#kh_tel2").val();
        var tel3 = $("#kh_tel3").val();

        if (!khmc) {
            layer.confirm('请输入客户名称！', {
                btn: ['确定']
            });
            return;
        }
        $.post(huayi.config.callcenter_url+'Customer/AddCustomer',
            {
                cid:khid,name: khmc, code: khbh, mobile: tel1,
                telphone: tel2,chargetelephone: tel3, "token": $.cookie("token")
            }, function (result) {
                result = $.parseJSON(result);
                if (result.state.toLowerCase() == "success") {
                    $("#khid").val(result.data);
                    layer.msg("保存成功");
                }
            })
    })

    //创建投诉工单
    $(".addts").click(function () {
        var tslx = $("#tslx").val();
        var tskh = $("#tskh").val();
        var tsdh = $("#tsdh").val();
        var zrbm = $("#zrbm").val();
        var zrid = $("#zrid").val();
        var clbm = $("#clbm").val();
        var clid = $("#clid").val();
        var khid = $("#khid").val();
        var type = "3";
        var cont = $("#cont").val();
        var callid = "";

        if (!tslx) {
            layer.confirm('请选择投诉类型！', {
                btn: ['确定']
            });
            return;
        }
        if (!tskh) {
            layer.confirm('请输入客户名称！', {
                btn: ['确定']
            });
            return;
        }
        if (!tsdh) {
            layer.confirm('请输入客户电话！', {
                btn: ['确定']
            });
            return;
        }
        if (!cont) {
            layer.confirm('请输入工单内容！', {
                btn: ['确定']
            });
            return;
        }

        $.post(huayi.config.callcenter_url+'CallInScreen/AddWorkOrder',
            {
                tslx: tslx, tskh: tskh, tsdh: tsdh, zrbm: zrbm, zrid: zrid,
                clbm: clbm, clid: clid, type: type, cont: cont, callid: callid,
                khid:khid,"token": $.cookie("token")
            }, function (result) {
                result = $.parseJSON(result);
                if (result.state.toLowerCase() == "success") {
                    $("#kh_name").val("");
                    $("#kh_code").val("");
                    $("#kh_tel1").val("");
                    $("#kh_tel2").val("");
                    $("#kh_tel3").val("");

                    $("#tslxname").val("");
                    $("#zrbmname").val("");
                    $("#zridname").val("");
                    $("#clbmname").val("");
                    $("#clidname").val("");
                    $("#tslx").val("");
                    $("#tskh").val("");
                    $("#tsdh").val("");
                    $("#zrbm").val("");
                    $("#zrid").val("");
                    $("#clbm").val("");
                    $("#clid").val("");
                    $("#khid").val("");
                    $("#cont").val("");

                    layer.msg("创建工单成功");
                }
            })
    })
});
//获取部门
var setting = {
    data: {
        key: {
            name: "F_DeptName"
        },
        simpleData: {
            enable: true,
            idKey: "F_DeptId",
            pIdKey: "F_ParentId",
            rootPId: 0
        }
    },
    callback: {
        onClick: zTreeOnClick
    }
};
function getBM(obj) {
    $.getJSON(huayi.config.callcenter_url+'Department/GetAllList', { "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            $.fn.zTree.init(obj, setting, result.data);
        }
    })
}
function zTreeOnClick(event, treeId, treeNode) {
    if (event) {
        event.stopPropagation();
    }
    var obj = $("#" + event.data.treeId).parent();
    obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
    obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
    obj.hide();
    if (event.data.treeId == "zrbmtree") {
        getRY($(".zrid"), $("#zrbm").val());
    }
    if (event.data.treeId == "clbmtree") {
        getRY($(".clid"), $("#clbm").val());
    }
};
//获取人员
function getRY(obj, deptid) {
    obj.empty();
    obj.append('<li itemid="">--请选择--</li>');
    obj.parent().parent().find("input").eq(0).val("--请选择--");
    obj.parent().parent().find("input").eq(1).val("");
    $.getJSON(huayi.config.callcenter_url+'UserAccount/GetDeptUserList', { "deptid": deptid, "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            $(result.data).each(function (i, n) {
                obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '</li>');
            })

            obj.find("li").click(function (event) {
                if (event) {
                    event.stopPropagation();
                }
                $(this).parent().parent().parent().find("input").eq(0).val($(this).text());
                $(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
                $(this).parent().parent().hide();
            });
        }
    })
}

//获取类型
function getLX(obj, type) {
    obj.empty();
    $.getJSON(huayi.config.callcenter_url+'Dictionary/GetDicValueListByFlag', { "flag": type, "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            $(result.data).each(function (i, n) {
                obj.append('<li itemid="' + n.F_DictionaryValueId + '">' + n.F_Name + '</li>');
            })

            obj.find("li").click(function (event) {
                if (event) {
                    event.stopPropagation();
                }
                $(this).parent().parent().parent().find("input").eq(0).val($(this).text());
                $(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
                $(this).parent().parent().hide();
            });
        }
    })
}

/*tree下拉框效果*/
$(".inpBox .tree").click(function () {
    if ($(this).parent().find(".addTree").is(":hidden")) {
        $(this).parent().find(".addTree").show();
    }
    else {
        $(this).parent().find(".addTree").hide();
    }
});
/*普通下拉框效果*/
$(".inpBox .select").click(function () {
    if ($(this).parent().find(".xl_common").is(":hidden")) {
        $(this).parent().find(".xl_common").show();
    }
    else {
        $(this).parent().find(".xl_common").hide();
    }
});
$(".xl").click(function () {
    if ($(this).parent().find(".addTree").is(":hidden")) {
        $(this).parent().find(".addTree").show();
    }
    else {
        $(this).parent().find(".addTree").hide();
    }
    if ($(this).parent().find(".xl_common").is(":hidden")) {
        $(this).parent().find(".xl_common").show();
    }
    else {
        $(this).parent().find(".xl_common").hide();
    }
});
$(".inpBox").mouseleave(function () {
    $(this).children(".xl_common").hide();
    $(this).children(".addTree").hide();
})
//$('.xl_two').click(function() {
//    var a = $(this).children(".xl_common");
//    var b = $(this).children(".addTree");
//    if (a.css('display') == 'block') {
//        a.css('display', 'none')
//    } else {
//        a.css('display', 'block')
//    }
//    if (b.css('display') == 'block') {
//        b.css('display', 'none')
//    } else {
//        b.css('display', 'block')
//    }

//*删除*/
$(".inpBox").hover(function (event) {
	$(this).children(".de_icon").show();
		event.stopPropagation();  
},function(){
	$(this).children(".de_icon").hide();
});
$(".de_icon").click(function (event) {
    event.stopPropagation();
    $(this).siblings("input").eq(0).val("");
    $(this).siblings("input").eq(1).val("");

    if ($(this).siblings("div").find("ul").attr("id") == "zrbmtree") {
        getRY($(".zrid"), $("#zrbm").val());
    }
    if ($(this).siblings("div").find("ul").attr("id") == "clbmtree") {
        getRY($(".clid"), $("#clbm").val());
    }
});

